/**
 * <copyright>
 * </copyright>
 *
 * $Id: TransformationActivityValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.transformation.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.management.warehouseoperation.ActivityExecution;

import orgomg.cwm.management.warehouseprocess.WarehouseActivity;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.transformation.TransformationActivity}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TransformationActivityValidator {
	boolean validate();

	boolean validateCreationDate(String value);
	boolean validateWarehouseActivity(EList<WarehouseActivity> value);
	boolean validateExecution(EList<ActivityExecution> value);
}
